Google 要求開發商推新 Apps 或更新舊 Apps 要以最新 API 版本為目標

Android Developers

Google 在 Developers Blog 公佈了最新的開發商政策要求,目的是提升 Play Store Apps 的效能和安全性,以讓用家有更好的使用體驗。

新政策主要有三個範疇:
1. 在 2018年下半年,推出新 Apps 或為舊 Apps 更新,需要以主新的 Android API Level 為目標。
– 2018年 8月開始,推出新 Apps 需依從這項新規格
– 2018年11月開始,為舊 Apps 更新需依從這項新規格

2. 2019年 8月,推出新 Apps 或為舊 Apps 更新,都需要備有 Native Libraries 以支援 64-bit 版本

3. 在 2018年初,Google Play 將會在每個發佈的 APK 檔案內加入少量的 Security Metadata,以可最一步確認 App 的完整性。開發商無需為此作出任何改動。

即是話 2018年 8月,新 Apps 推出時需要 Target API Level 26 (Android 8.0)。11月更新舊 Apps 時就需要 Target API Level 26。到 2019 年,Target API Level 亦隨著新 Android 版本推出以遞增。若果舊 Apps 不作更新是不受影響的,而 Apps 的 minSdkVersion 是沒有任何要求,開發商可自行決定 Apps 的最低支援版本。

這些政策改動都是對開發商要求,可確保 Apps 支援最新的 Android 版本,相信可讓 Android 新版本更有效普及。對用家而言,日常操作使用沒有任何直接影響的。

Source: Android Developers Blog

發佈留言

發佈留言必須填寫的電子郵件地址不會公開。